<?php

/* vim:et:sw=4:ts=4
 *
 * Copyright (c) 2008 LinuxMagic Inc., All Rights Reserved.
 *
 * $Id: logtail.php 1197 2009-10-01 18:55:00Z shaun $
 *
 * HTML output and includes for main applicaiton
 *
 *
 */

/**
 * require config file
 */
require_once('../includes/config.php');

/**
 * require funcs file
 */
require_once('../includes/funcs.php');

/**
 * require notification_funcs file
 */
require_once('../includes/notification_funcs.php');

/**
 * require loadMSLocale()
 */
require_once(loadMSLocale());

/**
 * initialize the local path
 */
ini_set('include_path', loadIncludePath());

/**
 * require class msinterace file
 */
require_once('class.msinterface.php');

/**
 * set the display page to 'interface'
 * @var string @displayPage
 */
$displayPage = 'interface';

/**
 * if exists include standalone_auth file
 */
if (file_exists('../includes/standalone_auth.php')) {
    include_once('../includes/standalone_auth.php');
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <title>MagicSpam Management Console</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <link rel="icon" type="image/x-icon" href="images/favicon.ico" />
    <link rel="icon" type="image/png" href="images/favicon.png" />
    <link rel="icon" type="image/vnd.microsoft.icon" href="images/favicon.ico" />
    <link rel="shortcut icon" type="image/vnd.microsoft.icon" href="images/favicon.ico" />
    <link rel="stylesheet" type="text/css" href="css/style.css" />
    <link rel="stylesheet" type="text/css" href="css/suite_style.css" />
    <script language="JavaScript" type="text/javascript">
        // generic function to ensure a given object is limited just to integer values.
        function limitInteger(obj) {
            if (!obj) {
                return;
            }
            var val = obj.value;
            if (val.length == 0) {
                return;
            }
            val = parseInt(val);
            if (isNaN(val)) {
                obj.value = "";
            } else {
                obj.value = val;
            }
        }

        // generic function to enable a form item if another item is checked. Also, set a default value.
        function checkEnabled(checkObj, formObj, val) {
            if (!checkObj || !formObj || !val) {
                return;
            }
            if (checkObj.checked == 1) {
                formObj.disabled = "";
                formObj.value = val;
            } else {
                formObj.disabled = "disabled";
                formObj.value = "";
            }
        }

    </script>
</head>
<body>
    <table id="logo">
    <tr>
    <td><img src="images/magicspam-logo-small.png" border="0" alt="MagicSpam" /></td>
    <td id="logoversion">v1.0.5-4</td>
    </tr></table>
    
    <div id="notification-area">
    <?php 
        $notification = render_unread_notification_counts();
        echo $notification;
    ?>
    </div>
    <div id="wrapper">

    <?php
        if ($displayPage != "interface") {
        include_once('../templates/' . $displayPage);
    } else {
        if (isset($_REQUEST['page']) && strlen($_REQUEST['page'])) {
            $page = $_REQUEST['page'];
        } else {
            $page = false;
        }
        $interface = new MSInterface($pages);
        $interface->run($page);
    }
?>

<div id="footer">
    <p><a href="http://www.magicspam.com" onclick= "window.open('http://www.magicspam.com'); return false;">MagicSpam&trade;</a> is a registered trademark of <a hr
ef="http://www.wizard.ca" onclick= "window.open('http://www.wizard.ca'); return false;">Wizard IT</a>.</p>
    <p>Copyright &copy; <?php echo date("Y"); ?> <a href="http://www.linuxmagic.com" onclick= "window.open('http://www.linuxmagic.com'); return false;">LinuxMagic&reg;</a>, All Rights Reserved.</p>

</div>
</div>

</body>
</html>

