<?php

/* vim:et:sw=4:ts=4
 *
 * Copyright (c) 2008 LinuxMagic Inc., All Rights Reserved.
 *
 * $Id: logtail.php 1197 2009-10-01 18:55:00Z shaun $
 *
 * Complete HTML output including inline CSS for output of the log file
 */
include_once('../includes/log_output.php');
?>

<html>
<head>
<style>
<?php

/**
 * dump inline CSS file ccs/magicspam-log
 */
echo file_get_contents("css/magicspam-log.css");

?>

</style>
</head>
<body class="log">
<div class="wrapper">
<?php

/**
 * include config file
 */
include_once('../includes/config.php');
ini_set("include_path",INCLUDES);

/**
 * include class MagicSpamLog file
 */
include("class.MagicSpamLog.php");

/**
 * MagicSpamLog object passed LOG_DIR
 * @var MagicSpamLog $msLog
 */
$msLog = new MagicSpamLog(LOG_DIR);

$maxEntries = isset($_REQUEST['result_limit']) ? (int)$_REQUEST['result_limit'] : 50;
if ($maxEntries == 0) {
    $maxEntries = 50;
}

/**
 * List to contain up to 50 logs pulled from $msLog object
 * @var array $entries set to $msLog->tail(50)
 */
$entries = $msLog->tail($maxEntries);
// loop through log entries if they exist
if (!isset($entries) or !is_array($entries)) {
    echo "No entries found";
} else {
    $numEntries = count($entries);
    if ($numEntries == 0) {
        echo "No entries found";
    } else {
        echo '<table class="logTable">';

        // TODO: internationalize.
        echo <<<END
<tr>
    <td class="logHeader">Date/Time</td>
    <td class="logHeader">Type</td>
    <td class="logHeader">MUA</td>
    <td class="logHeader">IP Address</td>
    <td class="logHeader">Host Name</td>
    <td class="logHeader">HELO</td>
    <td class="logHeader">From</td>
    <td class="logHeader">Recipient</td>
</tr>
END;
        $append = 'even';
        foreach ($entries as $entry) {
            $line_arr = line_to_arr($entry);
            if (valid_log_array($line_arr)) {
                render_log_line($line_arr,$append);
                if ($append == 'even') {
                    $append = 'odd';
                } else {
                    $append = 'even';
                }
            }
        }
    }
}

?>
</div>
</body>
</html>
