<?php

define('LOG_PAT','/^(\d+\-\d+\-\d+ \d+:\d+:\d+) magicspam\-[a-zA-Z0-9]+\[\d+\]: (RCPT_EXEMPT|IP_EXEMPT|FROM_WHITELIST|HAM|SPAM\[.+\]): mua=(\d+),ip=\[(\d+\.\d+\.\d+\.\d+):(.*)\],helo=\<(.*)\>,from=\<(.*)\>,rcpt=<(.*)\>$/');

function valid_log_array($log_arr) {
    if (!is_array($log_arr)) {
        return FALSE;
    }
    $search = array( 'logTimeStamp'
                    ,'logType'
                    ,'logMua'
                    ,'logIP'
                    ,'logHost'
                    ,'logHelo'
                    ,'logFrom'
                    ,'logRcpt'
                    );
    foreach ($search as $key) {
        if (!array_key_exists($key, $log_arr)) {
            return FALSE;
        }
    }
    return TRUE;
}

function line_to_arr($line) {
    if (!is_string($line) || strlen($line) < 1) {
        return NULL;
    }
    $line = trim($line);
    $retval = preg_match(LOG_PAT, $line, $matches, PREG_OFFSET_CAPTURE);
    if ($retval === NULL || $retval === 0) {
        return NULL;
    }
    // made it to here then we got a match.
    $arr = array();
    $arr['logTimeStamp'] = $matches[1][0];
    $arr['logType'] = $matches[2][0];
    $arr['logMua'] = $matches[3][0] == '0' ? 'no' : 'yes';
    $arr['logIP'] = $matches[4][0];
    $arr['logHost'] = $matches[5][0];
    $arr['logHelo'] = $matches[6][0];
    $arr['logFrom'] = $matches[7][0];
    $arr['logRcpt'] = $matches[8][0];
    return $arr;
}   

function render_log_line($log_arr,$app) {
    if (!valid_log_array($log_arr)) {
        return;
    }
    $widths = array( 'logTimeStamp' => '5'
                    ,'logType' =>  '5'
                    ,'logMua' => '2'
                    ,'logIP' => '5'
                    ,'logHost' => '10'
                    ,'logHelo' => '10'
                    ,'logFrom' => '31'
                    ,'logRcpt' => '32'
                    );

    $oline = '<tr class="logRow' . $app . '">';
    foreach ($log_arr as $key => $val) {
        if (substr($val,0,4) === 'SPAM') {
            $key = "logTypeSpam";
        }
        if ($val === 'HAM') {
            $key = "logTypeHam";
        }
        $oline .=<<<END
<td width="{$widths[$key]}%" title="{$val}">
    <div class="{$key}">
        $val
    </div>
</td>
END;
    }
    $oline .= '</tr>';
    echo $oline;
}


?>
