<?php
/*
 * Notification system specific functions.
 *
 * This file is part of the MagicSpam (TM) Project and is
 * Copyright (c) LinuxMagic Inc. 2010 All Rights Reserved.
 *
 * Author: Shaun A. Johnson <shaun@linuxmagic.com>
 *
 * $Id: notification_funcs.php 1296 2010-03-31 15:48:30Z shaun $
 */
require_once('class.MSNotifications.php');

/*
 * render_unread_notification_counts()
 * 
 * Utility function to render the 'count' alert widget for new alerts.
 */
function render_unread_notification_counts() {
    $entries = array();

    try {
        $o = new MSNotifications();
        $entries = $o->getUnread();
    } catch (Exception $e) {
        syslog(LOG_WARNING, 'magicspam-system-alerts: ' . $e->getMessage());
    }

    if (count($entries) == 0) {
        return '<span class="notification-none">There are no new system alerts.</span>';
    } else {
        return '<span class="notification-count"><a href="?page=system_alerts">' . count($entries) . ' new system alert' . ( count($entries) == 1 ? '' : 's' ) . '!</a></span>';
    }
}

/*
 * render_entries
 *
 * utility function to render out a given list of notification alerts in a clean formatted manner.
 *
 * @args: array of entries (type LMNotificationsEntry)
 *
 * NOTE: I am not sure I am happy with the way this is doing it.. but it works for now.
 */
function render_entries($entries) {
    foreach ($entries as $entry) {
        $date = date("l, F j, Y", $entry->timestamp);
        $description = nl2br($entry->description);

        echo <<<END
<li>
    <div class="notification-title">{$entry->title}</div>
    <div class="notification-meta">
        By <span class="notification-author">{$entry->author}</span> on <span class="noticication-date">{$date}</span> |
        Type: <span class="notification-type">{$entry->type}</span> |
        Severity: <span class="notification-severity">{$entry->severity}</span>
    </div>
    <div class="notification-short">{$entry->short_description}</div>
    <div class="notification-description">{$description}</div>
</li>

END;
    }
}

?>
