<?php

/* vim:et:sw=4:ts=4
 *
 * Copyright (c) 2008-2010 LinuxMagic Inc., All Rights Reserved.
 *
 * $Id$
 *
 * Section to handle the REQUESTS and control the Log Days Section
 */

/**
 * require class MagicSpamSection file
 */
require_once("class.MagicSpamSection.php");

/**
 * require class MagicSpamConrol file
 */
require_once("class.MagicSpamControl.php");

/**
 * Controls the output and requests for the Log Day Section
 */
class MagicSpamLogDaysSection extends MagicSpamSection {
    
    /**
     * Control variable set to 'logdays'
     * @var string $control
     */
    private static $control = "logdays";

    /**
     * Sets the section object to the template logdays and edit to false if no argument is passed.
     */
    function __construct($edit=false) {
        parent::__construct("logdays.php");
        $log_days = MagicSpamControl::get(self::$control,"");
        $this->set("logdays",$log_days);
    }
   
    /**
     * Allows the editing of outputted logdays based on posted key 'logdays' upon success on checks.
     *
     */
    function prepare() {
        if (is_array($_REQUEST) && array_key_exists("logdays",$_REQUEST)) {
            if (!is_numeric($_REQUEST['logdays'])) {
                $this->set("error", intl('error_numeric'));
            } else {
                try {
                    MagicSpamControl::set(self::$control,$_REQUEST['logdays']);
                    $this->set("success",intl('save_success'));
                    $this->set("logdays",$_REQUEST['logdays']);
                } catch (Exception $e) {
                    $this->set("error",intl('save_error'));
                    $this->set("exception",$e);
                }
            }
        } else {
            if (!is_array($this->templateVars) || !isset($this->templateVars["logdays"]) || $this->templateVars["logdays"] == "") {
                try {
                    MagicSpamControl::set(self::$control,"7");
                    $this->set("logdays","7");
                } catch(Exception $e) {
                    $this->set("error",intl('save_error'));
                    $this->set("exception",$e);
                }
            }
        }
    }
}
?>
