<?php

/* vim:et:sw=4:ts=4
 *
 * Copyright (c) 2008 LinuxMagic Inc., All Rights Reserved.
 *
 * $Id: class.MagicSpamStatusSection.php 1161 2009-09-11 17:08:39Z shaun $
 *
 */

require_once("class.MagicSpamSection.php");
require_once("class.MagicSpamControl.php");
require_once("class.MagicSpamStatus.php");

/**
 * Controls the output and requests of the Status Section
 */
class MagicSpamStatusSection extends MagicSpamSection {
   
   /**
    * Sets the template file status to the section object
    */
    public function __construct() {
        parent::__construct("status.php");
    }

    /**
     * Prepares status based on the instance or posted variables.  If magicspam_toggle is
     * posted attempts to set the status change.
     */
    public function prepare() {
        $msStatus = MagicSpamStatus::getInstance();

        if (is_array($_REQUEST) && array_key_exists("magicspam_toggle", $_REQUEST)) {
            $admin_email = MagicSpamControl::get("admin_email","");
            if ($admin_email == '' && !$msStatus->isEnabled()) {
                $this->set("error",intl('AE_empty'));
                return;
            }
            try {
                $msStatus->toggle();
                $this->set("success", intl('ST_updated'));
            } catch (Exception $e) {
                $this->set("error", true);
                $this->set("exception", $e);
            }
        }
        $this->set("enabled", $msStatus->isEnabled());
    }

    /**
     * Renders the status section to output
     */
    public function render() {
        parent::render();
    }
}

?>
