<?php

/* vim:et:sw=4:ts=4
 *
 * Copyright (c) 2008 LinuxMagic Inc., All Rights Reserved.
 *
 * $Id$
 *
 */

require_once("class.MagicSpamSection.php");
require_once("class.MSNotifications.php");

/**
 * Controls the output and Requests of the System Alert section
 */
class MagicSpamSystemAlertsSection extends MagicSpamSection {

    /**
     * An array that contains all unread notifications
     * @var array $new_entries
     */
    private $new_entries; 

    /**
     * An array the contains old notifications
     * @var array $old_entries
     */
    private $old_entries;

    /**
     * Sets template page system_alerts to section object
     */
    function __construct() {
        parent::__construct("system_alerts.php");
    }

    /**
     * Creates a notification object and checks request for mark_all_read before preparing local vars for future output
     */
    function prepare() {
        $msnot = new MSNotifications;
        // deal with any post data (ie: mark all read)
        if (array_key_exists('mark_all_read', $_REQUEST)) {
            $msnot->markAllRead();
        }

        $this->new_entries = $msnot->getUnread();
        $this->old_entries = $msnot->get(10, count($this->new_entries));
    }

    /**
     * Sets the new and old entries to templateVars before rendering the section for output.
     */
    function render() {
        $this->set("new_entries",$this->new_entries);
        $this->set("old_entries",$this->old_entries);
        parent::render();
    }
}

?>
