<?php

/* vim:et:sw=4:ts=4
 *
 * Copyright (c) 2008 LinuxMagic Inc., All Rights Reserved.
 *
 * $Id: bms.php 1234 2009-11-13 17:20:32Z shaun $
 *
 * HTML output for BMS page including BMS form element
 */

/**
 * label set to constant BL_label
 * @var string $name
 */
$name = intl('BL_label');

/**
 * description set to constant BL_blurb
 * @var string $desc
 */
$desc = intl('BL_blurb');

// show error
if (isset($error)) {
    $error = intl('save_error');
    unset($success);
}

// show success if no error
if (isset($success)) {
    $success = intl('save_success');
}

/**
 * include section header file
 */
include("section.header.php");

?>

<form name="bms" id="bms" method="post" action="<?php echo $thisPage; ?>">
<table class="full" cellspacing="0">
<thead>
<tr>
    <th><?php echo intl('BL_listname');?></th>
    <th style="width:10%" class="center"><?php echo intl('enabled');?></th>
    <th style="width:10%" class="center"><?php echo intl('disabled');?></th>
</tr>
</thead>
<tbody>

<?php

$alt = false;
$listidlabel = intl('BL_listid');

// Loop to show BMS input form elements with current state
foreach ($bms as $rule => $data) {
    $enabled = ( $data["enabled"] ? "checked=\"checked\"" : "" );
    $disabled = ( $data["enabled"] ? "" : "checked=\"checked\"" );

    $alt = !$alt;
    $rowclass = ( $alt ? ' class="alt"' : "" );

    echo <<<END
<tr{$rowclass}>
    <td><a href="{$data["url"]}" onclick="window.open('{$data["url"]}'); return false;">(?)</a> {$data["description"]}<br /> &nbsp; &nbsp; &nbsp;<small>({$listidlabel}: {$rule})</small></td>
    <td class="center"><input name="bms[{$rule}]" type="radio" value="true" {$enabled} /></td>
    <td class="center"><input name="bms[{$rule}]" type="radio" value="false" {$disabled} /></td>
</tr>

END;
}

?>

</tbody>
</table>

<a class="msbutton"><span>
<input type="submit" value="<?php echo intl('BL_save');?>" />
</span></a><br />
<a class="msbutton"><span>
<input type="submit" name="reset" value="<?php echo intl('reset');?>" />
</span></a><br />
</form>

<?php

/**
 * include section footer file
 */
include("section.footer.php");

?>
