<?php

/* vim:et:sw=4:ts=4
 *
 * Copyright (c) 2008 LinuxMagic Inc., All Rights Reserved.
 *
 * $Id: exemption.php 1234 2009-11-13 17:20:32Z shaun $
 *
 * HTML output for add exemption form
 */

/**
 * include section header file
 */
include("section.header.php");

// Die if type not set
if (!isset($type)) {
    die("Required variable not set (type)");
}

/**
 * Long type to contain long type constant. Options: EX_ip, EX_whitelist, EX_user.
 * @var string $longtype
 */
$longType = "Unknown";
switch($type) {
    case "ip":         $longType = intl('EX_ip'); break;
    case "ipblacklist":$longType = intl('EX_ip'); break;
    case "fromblacklist": $longType = intl('EX_whitelist'); break;
    case "user":    $longType = intl('EX_user'); break;
    case "whitelist":   $longType = intl('EX_whitelist'); break;
}

?>
<form method="post" name="add_exemption_<?php echo $type; ?>" action="#<?php echo $id; ?>">
<input type="hidden" name="active_form" value="<?php echo $type; ?>" />
<table class="rightblock">
    <tr>
        <td><?php echo intl('EX_enter') . " " . $longType; ?>:</td>
        <td><input type="text" name="add_exempt_<?php echo $type; ?>" /></td>
        <td class="buttons">
            <a class="msbutton"><span>
            <input type="submit" value="<?php echo intl('EX_add');?>" />
            </span></a></td>
    </tr>
</table>
</form>

<div class="embedded_table">
    <table cellspacing="0" class="full">
    <tbody>
<?php

$alt = false;
// get excemption list
$list = $section->getExemptionList();
$delconfirm = intl('delete_confirm');

// list excemption list
foreach ($list as $entry) {
    $class = ( $alt ? "one" : "two" );
    $alt = !$alt;
    echo <<<END
        <tr class="{$class}">
            <td>{$entry}</td>
            <td class="remove_buttons">
                <form method="post" action="#{$id}">
                    <input type="hidden" name="active_form" value="{$type}" />
                    <div>
                        <input type="hidden" name="remove_exempt_{$type}" value="{$entry}" />
                        <button type="submit" onclick="return confirm('{$delconfirm}');"><img src="images/icon-delete.png" alt=""/></button>
                    </div>
                </form>
            </td>
        </tr>

END;
}

$emptylbl = intl('EX_empty');
if (empty($list)) {
    echo <<<END
        <tr class="no_entry">
            <td>{$emptylbl}</td>
        </tr>

END;
}

?>
    </tbody>
    </table>
</div>
</form>

<?php

/**
 * include section footer file
 */
include("section.footer.php");

?>
