<!-- begin section -->
<?php

/* vim:et:sw=4:ts=4
 *
 * Copyright (c) 2008 LinuxMagic Inc., All Rights Reserved.
 *
 * $Id: section.header.php 614 2008-12-24 00:05:07Z sean $
 *
 * This template assumes that the $name and $desc variables have been 
 * set. Also, $success will be set to a success message, if it is to be
 * displayed. Same with $error.
 */

// Check to ensure that required template variables are set
if (!isset($name) || !isset($desc)) {
    echo '<!-- Required variables for section not set. -->';
    return;
}

?>
<div class="section">
<h3><a name="<?php echo $section->getID(); ?>"><?php echo $name; ?></a></h3>
<p class="desc"><?php echo $desc; ?></p>
<?php

// Output success notifications 
if (isset($success)) {
    echo '<p class="success">' . $success . '</p>';
}

// Output error notifications.
if (isset($error)) {
    $e_message = "";
    if (isset($exception)) {
        $e_message = $exception->getMessage();
    }
    echo <<<END
<p class="error">{$error}<br /><b>{$e_message}</b></p>
END;
}

?>
