<?php

/* vim:et:sw=4:ts=4
 *
 * Copyright (c) 2008 LinuxMagic Inc., All Rights Reserved.
 *
 * $Id: spamrules.php 1234 2009-11-13 17:20:32Z shaun $
 *
 */

/**
 * label is set to constant BP_label
 * @var string $name
 */
$name = intl('BP_label');

/**
 * description is set to constant BP_blurb
 * @var string $desc
 */
$desc = intl('BP_blurb');

// Check for errors
if (isset($error)) {
    $error = intl('save_error');
    unset($success);
}

// check for success
if (isset($success)) {
    $success = intl('save_success');
}

/**
 * include section header file
 */
include("section.header.php");

/*
 * At this time AJAX functionality is limited strictly to this module. This may change
 * in the future at which point we will extract the ajax JS from here into a separate file.
 */
?>
<script type="text/javascript">

// quick global for inter process functions.
var ruleName = "";
/**
 * Utility function to get the AJAX request handle
 * 
 * This is to get a compatible handle for both IE and other.
 */
function get_ajax_handle() {
    var page_request = false;

    if (window.XMLHttpRequest) {    // mozilla, safari etc.
        page_request = new XMLHttpRequest();
    } else if (window.ActiveXObject) {  // IE
        try {
            page_request = new ActiveXObject("Msxml2.XMLHTTP");
        } catch(e) {
            try {
                page_request = new ActiveXObject("Microsoft.XMLHTTP");
            } catch(e) {
                return false;
            }
        }
    } else {
        return false;
    }
    return page_request;
}
/**
 * Internal Utility function for posting requests to the backend.
 */
function ajax_request(callback, data_string) {
    page_request = get_ajax_handle();
    if (!page_request) {
        alert("Your browser does support AJAX - use a newer browser please");
        return;
    }
    document.body.style.cursor = "wait";
    page_request.onreadystatechange = callback;

    // set up the request. TODO: abstract further and have 'handler' url as an argument.
    page_request.open("POST", "proc.php", true);
    page_request.setRequestHeader(
        'Content-Type',
        'application/x-www-form-urlencoded; charset=UTF-8'
    );
    page_request.send(data_string);
}

// primary onclick function to start the rule loading process.
function editRule(rule) {
    ruleName = rule;
    document.forms['rejectionEditor'].rule.value = rule;
    ajax_request(editRuleCB, "action=load_rejection&rule=" + rule);
}
// callback to display the rejection message editor.
function editRuleCB() {
    document.body.style.cursor = 'default';
    var obj = document.getElementById('rejectionForm');
    var rname = document.getElementById('rejectionRuleName');
    var tfield = document.getElementById('rejectionNotice');

    // center the form
    obj.style.top = document.body.offsetHeight / 2 - 100 + 'px';
    obj.style.left = document.body.offsetWidth / 2 - 200 + 'px';
    tfield.value = page_request.responseText;
    rname.innerHTML = ruleName;
    obj.style.display = 'block';
    limitRejectionNotice(document.forms['rejectionEditor']);
    tfield.focus();
}
// simple function to hide the form.
function cancelRejection() {
    document.getElementById('rejectionForm').style.display = 'none';
}

// utility function to update the 'characters remaining' field and ensure newlines don't get added to the mix.
function limitRejectionNotice(theForm) {
    // update the characters remaining
    var curText = theForm.notice.value;

    var cleanText = curText.replace(/\n/g,'');
    curText = cleanText.replace(/\r/g,'');
    var len = curText.length;

    if (len > 512) {
        newText = curText.substring(0,512);
        curText = newText;
        theForm.notice.value = curText;
        len = 512;
    }
    document.getElementById('rejectionCharsLeft').value = 512-len;
}

function disableEnter(e) {
    key = e ? e.which : window.event.keyCode;
    if (key == 13) {
        if (document.getElementById('rejectionNotice') == document.activeElement) {
            return false;
        }
    }
    return true;
}

document.onkeypress=disableEnter;

</script>

<form name="rules" id="rules" method="post" action="<?php echo $thisPage; ?>">
<table cellspacing="0" class="full">
<thead>
<tr>
    <th><?php echo intl('BP_rule');?></th>
    <th style="width:15%" class="center"></th>
    <th style="width:10%" class="center"><?php echo intl('enabled');?></th>
    <th style="width:10%" class="center"><?php echo intl('disabled');?></th>
    <th style="width:15%" class="center"><?php echo intl('customrn');?></th>
</tr>
</thead>
<tbody>

<?php

// alternating color rows
$alt = false;

// add the NON changeable block_lists rule...this is ugly but necessary to supply the custom rejection button.
$alt = !$alt;
$rowclass= ($alt ? ' class="alt"' : "");
$rlabel = intl("BP_rulename");
$recommended = "<small><font color=\"#58AA4B\">" . intl('recommended') . "</font></small>";
$rejection = file_exists(REJECTIONS . "block_lists") ? intl('edit') : intl('create');

echo <<<END
<tr{$rowclass}>
    <td>
        <a href="http://www.linuxmagic.com/power_of_ip_reputation.html"
           onclick="window.open('http://www.linuxmagic.com/power_of_ip_reputation.html');return false;">(?)</a>
        IP Reputation<br />
        &nbsp;&nbsp;&nbsp;
        <small>({$rlabel}: block_lists)</small>
    </td>
    <td class="center">always on</td>
    <td class="center"></td>
    <td class="center"></td>
    <td class="center"><a class="msbutton" onclick="editRule('block_lists');return true;"><span>{$rejection}</span></a></td>
</tr>
END;

// Loop thru rule variables and output them to HTML
foreach ($rules as $rule => $data) {
    $default = ( $data["default"] ? $recommended : "" );
    $enabled = ( $data["enabled"] ? "checked=\"checked\"" : "" );
    $disabled = ( $data["enabled"] ? "" : "checked=\"checked\"" );
    $rejection = file_exists(REJECTIONS . $rule) ? intl('edit') : intl('create');

    $alt = !$alt;
    $rowclass = ( $alt ? ' class="alt"' : "" );

    $rname = intl("BP_" . $rule);
    echo <<<END
<tr{$rowclass}>
    <td><a href="{$data["url"]}" onclick="window.open('{$data["url"]}'); return false;">(?)</a> {$rname}<br /> &nbsp; &nbsp; &nbsp;<small>({$rlabel}: {$rule})</small></td>
    <td class="center">{$default}</td>
    <td class="center"><input name="rules[{$rule}]" type="radio" value="true" {$enabled} /></td>
    <td class="center"><input name="rules[{$rule}]" type="radio" value="false" {$disabled} /></td>
    <td class="center"><a class="msbutton" onclick="editRule('{$rule}');return true;"><span>{$rejection}</span></a></td>
</tr>

END;
}

?>

</tbody>
</table>

<a class="msbutton"><span>
<input type="submit" value="<?php echo intl('BP_save');?>" />
</span></a><br />
<a class="msbutton"><span>
<input type="submit" value="<?php echo intl('reset');?>" name="reset" />
</span></a><br />

</form>

<div id="rejectionForm">
<form name="rejectionEditor" method="post">
<strong><?php echo intl('BP_custom_rejection');?>:</strong><br />
<div id="rejectionRuleName"></div>
<p><input type="text" id="rejectionCharsLeft" value="512" readonly />&nbsp;<?php echo intl('BP_chars_left');?></p>
<input type="hidden" name="rule" value="" />
<textarea name="notice" id="rejectionNotice" rows=3 onkeyup="return limitRejectionNotice(this.form);"></textarea><br />
<p><?php echo intl('BP_rejection_instructions');?></p>
<a class="msbutton"><span><input type="submit" value="<?php echo intl('save');?>" /></span></a>
<a class="msbutton" onclick="cancelRejection();return true;"><span><?php echo intl('cancel');?></span></a>
</form>
</div>

<?php

/**
 * include section footer file
 */
include("section.footer.php");

?>
