<?php

/* vim:et:sw=4:ts=4
 *
 * Copyright (c) 2008 LinuxMagic Inc., All Rights Reserved.
 *
 * $Id: status.php 1234 2009-11-13 17:20:32Z shaun $
 *
 * HTML output for the status section
 */

/**
 * A variable set to the language specific constant with HTML formatting
 * @var string $state
 */
$state = ( $enabled ? intl('ST_enabled') : '<span style="color:red;">' . intl('ST_disabled') . '</span>' );

/**
 * label set to language specific constant ST_status . $state
 * @var string $name
 */
$name = intl('ST_status') . " " . $state;

/**
 * description set to language specific constant ST_blurb
 * @var string $desc
 */
$desc = intl('ST_blurb');

// Show $error if set and unset $success
if (isset($error)) {
    if ($error === true) {
        $error = intl('ST_error');
    }
    unset($success);
}

// Show $success if set
if (isset($success)) {
    $success = intl('ST_updated');
}

/**
 * include section header file
 */
include("section.header.php");

/**
 * button text set to language specific constant based on status
 * @var string $button
 */
$button = $enabled ? intl('ST_disable') : intl('ST_enable');

?>
<form name="protection_toggle" method="post" action="<?php echo $thisPage; ?>">
<input type="hidden" name="magicspam_toggle" value="1" />
<a class="msbutton" href="#" onclick="document.protection_toggle.submit();return false;"><span><?php echo $button; ?></span></a>
</form>

<?php

/**
 * include section footer file
 */
include("section.footer.php");

?>
